import request from '@/utils/request'

// 车辆列表
export function CarListShow(data) {
  return request({
    url: '/car/manage/CarListShow',
    method: 'post',
    data
  })
}

// 车辆添加
export function insertCar(data) {
  return request({
    url: '/car/manage/insertCar',
    method: 'post',
    data
  })
}

// 车辆修改
export function updataCar(data) {
  return request({
    url: '/car/manage/updataCar',
    method: 'post',
    data
  })
}

// 车辆删除
export function deleteCar(carIds) {
  return request({
    url: '/car/manage/deleteCar?ids='+carIds,
    method: 'post'
  })
}

// 查找车辆,回显
export function CarListShowByCarId(carId) {
  return request({
    url: '/car/manage/CarListShowByCarId?carId='+carId,
    method: 'post'
  })
}
// 查询企业
export function selectCompany() {
  return request({
    url: '/car/company/selectCompany',
    method: 'post'
  })
}
